program Agiliza;

{$IFDEF FPC}
  {$MODE Delphi}
{$ELSE}
  {$APPTYPE CONSOLE}
{$ENDIF}


uses
  ActiveX,
  acuRegisterModelMappings in 'srv\src\lib\acuRegisterModelMappings.pas',
  ucuAgilizaMain in 'srv\src\ucu\ucuAgilizaMain.pas',
  svuAgiliza in 'svuAgiliza.pas';

begin
  {$if declared(UseHeapTrace)}
  if UseHeaptrace then
  begin
    GlobalSkipIfNoLeaks := True;
    DeleteFile('leak.trc');
    SetHeapTraceOutput('leak.trc');
  end;
  {$ifend}

  CoInitialize(Nil);
  Application.Initialize;
  Application.Run;
  CoUninitialize;
end.
